2007年12月20日

ClamAV 0.92 が MacPorts でインストールできない?!

ClamAV の脆弱性を修正したバージョン 0.92 が公開され、MacPorts の Portfile も 0.92 になっていたので、早速
sudo port -u upgrade clamav
を実行。

ところがコンパイル中にエラー (ToT)

gcc の問題らしく、ちょっと調べてみると、MacOS X 10.4 に付属の gcc-4.0.1 ではコンパイルできないらしい (;o;)

仕方ないので MacPorts で gcc42 (gcc-4.2.2) をインストール。
sudo port install gcc42
そしてインストールされた gcc42 を symlink。
cd /opt/local/bin
ln -s gcc-mp-4.2 gcc
そしてこの gcc を使うようにしてみたところ、何もなかったかのようにインストール完了 (^^)v

ClamAV 0.91.2 用の ClamXav 1.0.8 とも、今のところ特に相性の問題はなさそう (^^)
ラベル:clamAV MacPorts
posted by yamaga at 17:31| Comment(0) | TrackBack(0) | macOS / Darwin | このブログの読者になる | 更新情報をチェックする
この記事へのコメント
コメントを書く
お名前: [必須入力]

メールアドレス:

ホームページアドレス:

コメント: [必須入力]

認証コード: [必須入力]


※画像の中の文字を半角で入力してください。
※ブログオーナーが承認したコメントのみ表示されます。

この記事へのトラックバック